package cinema;

public class Cinema
{
	Poltrona[][] posti;
	int postiLiberi;

	public Cinema(int x, int y)
	{
		int i, j;
		postiLiberi = x*y;
		posti = new Poltrona[x][y];
		for(i=0;i<x;i++)
		{
			for(j=0;j<y;j++)
			{
				posti[i][j] = new Poltrona();
			}
		}
	}

	public Cinema()
	{
		//non ha un valore di ritorno, agisce sull'oggetto corrente
		this(10,16);

		//questo invece crea un oggetto diverso, non e' quello che mi serve
		//Cinema c = new Cinema(10,16);
	}

	public CoordinatePoltrona prenota(String ilPrenotante)
	{
		CoordinatePoltrona retval = null;
		if(postiLiberi == 0)
		{
			return retval;
		}
		int i, j;
		//prenotazione:
		for(i=0;i<posti.length;i++)
		{
			for(j=0;j<posti[i].length;j++)
			{
				if(posti[i][j].prenotataDa() == null)
				{
					posti[i][j].prenota(ilPrenotante);
					//break prenotazione;

					postiLiberi--;
					retval = new CoordinatePoltrona(i,j);
					return retval;
				}
			}
		}
		return retval;
	}

	public boolean cancellaPrenotazione(String ilCancellatore)
	{
		int i,j;

		for(i=0;i<posti.length;i++)
		{
			for(j=0;j<posti[i].length;j++)
			{
				//if(ilCancellatore.equals(posti[i][j].prenotatoDa()))
				Poltrona tmp = posti[i][j];
				String prenotata = tmp.prenotataDa();
				if(ilCancellatore.equals(prenotata))
				{
					tmp.libera(ilCancellatore);
					postiLiberi++;
					System.out.println(ilCancellatore + " c'era, alla posizione " + i + " " + j);
					return true;
				}
			}
		}
		System.out.println(ilCancellatore + " non c'era");
		return false;
	}

	public int postiLiberi()
	{
		return postiLiberi;
	}

	public CoordinatePoltrona controllaPrenotazione(String ilCercatore)
	{
		CoordinatePoltrona retval = null;
		int i,j;

		for(i=0;i<posti.length;i++)
		{
			for(j=0;j<posti[i].length;j++)
			{
				//if(ilCancellatore.equals(posti[i][j].prenotatoDa()))
				Poltrona tmp = posti[i][j];
				String prenotata = tmp.prenotataDa();
				if(ilCercatore.equals(prenotata))
				{
					retval = new CoordinatePoltrona(i,j);
					return retval;
				}
			}
		}
		return retval;
	}
}
